Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Update support contingent

Updates an existing support contingent. All fields must be provided (full replacement).

Required fields:

  • title: Updated title
  • fromDate: Updated start date
  • toDate: Updated end date
  • frequency: Updated frequency
  • price: Updated price
  • hours: Updated hours

Optional fields:

  • transferable: Updated transferability flag

Note: This is a full update operation. Use PATCH endpoint for partial updates.

PUT/administration/project-settings/support-contingents/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Request body
requiredapplication/json
frequencynumberrequired

Frequency in months for the contingent period

fromDatestringrequired

Start date of the contingent period (ISO 8601 date format)

hoursnumberrequired

Total hours allocated for the contingent period

pricenumberrequired

Total price for the contingent period

titlestringrequired

Title or name of the support contingent plan

toDatestring

End date of the contingent period (ISO 8601 date format). If not set, the contingent is active forever.

transferableboolean

Whether unused hours can be transferred to the next period

Responses
200

Support contingent updated successfully

successbooleanrequired

Operation success flag

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT "https://leadtime.app/api/public/administration/project-settings/support-contingents/string" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "frequency": 12,
  "fromDate": "2025-01-01",
  "hours": 120,
  "price": 10000,
  "title": "Maintenance flatrate",
  "toDate": "2025-12-31",
  "transferable": false
}'
Response
{
  "success": true
}